---
name: Bug report
about: Create a report to help us improve
title: '[BUG] '
labels: bug
assignees: ''

---

**Describe the bug**
A clear and concise description of what the bug is.

**To Reproduce**
Steps to reproduce the behavior:
```python
# Code that causes the issue
from spotify_scraper import SpotifyClient

client = SpotifyClient()
# ...
```

**Expected behavior**
A clear and concise description of what you expected to happen.

**Actual behavior**
What actually happened instead.

**Error messages**
```
Paste any error messages here
```

**Environment:**
 - OS: [e.g. Windows 10, Ubuntu 22.04, macOS 13]
 - Python version: [e.g. 3.11.5]
 - SpotifyScraper version: [e.g. 2.0.0]
 - Installation method: [pip, git clone, etc.]

**Additional context**
Add any other context about the problem here.

**Possible solution**
If you have any ideas on how to fix this bug, please share them here.